function [aa,longit]=rle2(b)

%'RLE2' detecta donde estan los ceros en un vector, y los sustituye
% por un marcador, anotando el numero de ceros eliminados en un vector 
% auxiliar. 
%
% USO: [vector sin ceros,num ceros]=rle2(vector con ceros);
%
% NOTA: El volumen total de la seal comprimida sera:
%
%      length(vcomp)*entropia(vcomp)+length(num)*entropia(num) 
%
[x,y]=size(b);

if x>y
	b=b';
end

aaa=(b==0);

c=[aaa 0]-[0 aaa];
ini=find(c==1);
fin=find(c==-1);
longit=fin-ini;
nn=length(ini);
aa=[];
g=[1 fin];
for i=1:nn,
   aa=[aa b(g(i):ini(i)-1) 0];
   [nn i];
end
if nn>0
   aa=[aa b(fin(length(fin)):length(b))];
else
   aa=b;
   longit=0;
end




