load taxi11.mat

trayect = 'C:\Users\jesus\Desktop\videos_expo\';
fichmov = [trayect,'mov1'];
fich_result_mov=[trayect,'mov2'];
fich_result_vq=[trayect,'vq2'];
fich_result_cod=[trayect,'cod2'];
fich_result_pelicula=[trayect,'pel2'];

% mpig224(
%      secuencia,
%      estima_movimiento (1/0),
%      [desplazam. posicion] (solo si estima_movimiento = 0, sino pasar 0),
%      N_inicial (lado del bloque inicial de la estimacion del movimiento = ladoimagen/2^N_inicial),
%      N_max  (lado del bloque final maximo al que puede llegar la estimacion del movimiento = ladoimagen/2^N_max),
%      vec (factor sobre el tama?o del bloque a la hora de hacer correlacion en el BMA, lo habitual sera vec=1),
%      Np (2^(Np-1) sera la longitud maxima inicial del desplazamiento en el BMA, Si Np=5 esta longitud inicial sera 16),
%      facD (factor a aplicar a la longitud anterior),  
%      critdiv  (criterio de division del flujo (0 espacial (Dufaux), 1 frecuencial),
%      Ncuan (para fijar el tama?o de bloque de cuantizacion = ladoimagen/2^Ncuan),
%      facq (en el contexto del calculo de la entropia en el movimiento, se permite el calculo en bloques mayores o menores que el tama?o fijado en Ncuan),
%      opc (Cuantizador: 0=precalculado/1=percep/2=estad),
%      dims_vq (2: espacial o 3 espacio-temporal, no tiene efecto para la estimacion del movimiento),
%      traydvq ((ESTADISTICO) ruta al fichero con los datos del cuantizador estadistico),
%      facfrec ((PERCEPTUAL) factor que permite ensanchar o estrechar las funciones para el reparto de niveles),
%      nolin ((PERCEPTUAL se utiliza en IAFET) [iafnolin?(0/1) ciafnolin?(0/1) log(CIAF)(0/1)], lineal:[0 0 0], nolineal:[1 1 0]),
%      ncontr ((PERCEPTUAL se utiliza en IAFET) numero de valores de contraste para calcular la IAF (suele valer 100)),
%      estab ((PERCEPTUAL se utiliza en IAFET) (0/1) utilizar el valor 1...),
%      B (rosca: factor sobre el numero de bits (mas peque?o -> mas compresion)),
%      bitmax (no cuantiza aquellos coeficientes a los que se les asigna un numero de bits superior a bitmax),
%      metodo_asignacion_bits ((ESTADISTICO se utiliza en apeles) (1 a 8)) 
%      norm ((PERCEPTUAL)  forma de obtener el contraste de los coeficientes de la DCT: si se hace con la luminancia media del bloque [1 0])
%      fc (frecuencia de corte),
%      cc = 1,
%      crit ((se utiliza en ASIGNBBB) criterio de asignacion del nivel de cuantizacion (1/2/3) normalmente usar 1),
%      frecbaja (frecuencia por debajo de la cual no se cuantiza debe ser un valor bajo),
%      fichmov (fichero de flujo),
%      fichvq  (fichero con el cuantizador),
%      fichcod (fichero con el bitstream (valores enteros con el nivel asignado) ), 
%      fichpel (fichero con la secuencia reconstruida)
%
% )

% Ejemplo estimacion de movimiento:

B=2;
estim_mov=1;
despl_posilad=0;
Ninic=3;
Nmax=6;
vec_estim=1;
Npas=3;
facD=1;
critdiv=1;
Nquant=4;
facquan=1;
opc_q=1;            %(0=previo/1=percep/2=estad)
dimens_vq=2;        %(2=espacial, 3=espacio-temp)
traydatosquantiz=0; %fichero estadistica generado por apelo.m
facfrec=1;
nolin=0;
ncontr=100;
estab=1;
bitmax=10;
metodo_alloc=0; % Metodo de bit allocation estadistico
normDCT=[1 1];
fc=32;
cc=1;
crit=1;
frecbaja=0.001;

s=size(seq);
nfotp=s(2)/s(1);

for i=1:nfotp-1
    p=sacafot(seq,s(1),s(1),[i i+1]);   
    
    [D,pospos,laos,e,Hparc,Hte,Htf,Nes,Nen]=fluxar13(seq(:,s(1)+1:2*s(1)),seq(:,1:s(1)),Ninic,Nmax,Nquant,facquan,vec_estim,Npas,facD,critdiv,opc_q,0,0,facfrec,ncontr,nolin,estab,B,bitmax,fc,cc,crit,0,frecbaja);
    if i==1
        sk=seq(:,1:s(1));
        DD=D;
        posl=[pospos laos];
        Htte=Hte;
        Httf=Htf;
        Ne=Nes;
        Nn=Nen;
    else
        DD=[DD;0 0;D];
        posl=[posl;0 0 0 0;[pospos laos]];
        Htte=[Htte Hte];
        Httf=[Httf Htf];
        Ne=[Ne Nes];
        Nn=[Nn Nen];
    end
end

eval(['save ',fichmov,' DD posl Htte Httf Nn Ne'])

for i=1:10
   Dpos=sacagrup([DD posl],i);
   desp=Dpos(:,1:2);
   pos=Dpos(:,3:end);
   pintafl2(desp,pos(:,1:2),[128 128],[256 256],3,5,[0 0 0],1,1);
   pause;
   clf
end

% Ejemplo de llamada para la codificacion de una secuencia utilizando flujo uniforme de ma?ano 16x16 y
% cuantizacion tipo MPEG (lineal)

B=2;
estim_mov=1;
despl_posilad=0;
Ninic=5;
Nmax=5;
vec_estim=1;
Npas=3;
facD=1;
critdiv=1;
Nquant=4;
facquan=1;
opc_q=1;            %(0=previo/1=percep/2=estad)
dimens_vq=2;        %(2=espacial, 3=espacio-temp)
traydatosquantiz=0; %fichero estadistica generado por apelo.m
facfrec=1;
nolin=0;
ncontr=100;
estab=1;
bitmax=10;
metodo_alloc=0; % Metodo de bit allocation estadistico
normDCT=[1 1];
fc=32;
cc=1;
crit=1;
frecbaja=0.001;

mpig224(seq,estim_mov,despl_posilad,Ninic,Nmax,vec_estim,Npas,facD,critdiv,Nquant,facquan,opc_q,dimens_vq,traydatosquantiz,facfrec,nolin,ncontr,estab,B,bitmax,metodo_alloc,normDCT,fc,cc,crit,frecbaja,fich_result_mov,fich_result_vq,fich_result_cod,fich_result_pelicula);

% Ejemplo de llamada para la codificacion de una secuencia utilizando flujo adaptativo de ma?ano inicial 32x32
% tama?o final maximo 4x4 y cuantizacion no lineal
mpig224(seq,1,0,3,5,1,5,1,0,4,1,1,2,0,1,[1 1 0],100,1,0.5,10,0,[1 0],32,1,1, 0.001 ,fich_result_mov,fich_result_vq,fich_result_cod,fich_result_pelicula);

load(fich_result_mov);
for i=1:10
    i
   Dpos=sacagrup([DD posl],i);
   desp=Dpos(:,1:2);
   pos=Dpos(:,3:end);
   pintafl2(desp,pos(:,1:2),[128 128],[256 256],3,5,[0 0 0],1,1);
   pause;
   clf
end
   
load(fich_result_pelicula)
for i=1:10
    frame = sacafot(pelq,256,256,i);
    imshow(frame/255);
    pause
end
