function porcien=propor(ra,rb);

% PROPOR calcula la proporcion del volumen de la region R_a contenida en R_b 
% siendo R_a y R_b paralelepipedos n-dimensionales igualmente orientados.
% Los paralelepipedos estan definidos por sus extremos en cada dimension.
%
% USO: proporcion=propor([xma1 xMa1;xma2 xMa2;....;xman xMan],[xmb1 xMb1;xmb2 xMb2;....;xmbn xMbn]); 

n=size(ra);
n=n(1);

for i=1:n
    limA=ra(i,:);
    limB=rb(i,:);
    if ((limA(1)>=limB(1))&(limA(1)<=limB(2)))&((limA(2)>=limB(1))&(limA(2)<=limB(2)))
       l(i)=limA(2)-limA(1); 
    elseif ((limA(1)>=limB(1))&(limA(1)<=limB(2)))&(limA(2)>=limB(2))
       l(i)=limB(2)-limA(1); 
    elseif ((limA(2)>=limB(1))&(limA(2)<=limB(2)))&(limA(1)<=limB(1)) 
       l(i)=limA(2)-limB(1);
    elseif ((limB(1)>=limA(1))&(limB(1)<=limA(2)))&((limB(2)>=limA(1))&(limB(2)<=limA(2)))
       l(i)=limB(2)-limB(1);
    else
       l(i)=0;
    end
end
volint=prod(l);
volA=prod(ra(:,2)-ra(:,1));
porcien=volint/volA;
